<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemFireStatisticsAttachMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemFireStatisticsAttach">
        <id column="id" property="id" />
        <result column="fire_number" property="fireNumber" />
        <result column="fire_cause_type1" property="fireCauseType1" />
        <result column="fire_cause_type2" property="fireCauseType2" />
        <result column="fire_cause_type3" property="fireCauseType3" />
        <result column="initial_fuel_type1" property="initialFuelType1" />
        <result column="initial_fuel_type2" property="initialFuelType2" />
        <result column="fire_site_type1" property="fireSiteType1" />
        <result column="fire_site_type2" property="fireSiteType2" />
        <result column="insurance_desc" property="insuranceDesc" />
        <result column="alarm_system_network" property="alarmSystemNetwork" />
        <result column="emergency_evacua_light" property="emergencyEvacuaLight" />
        <result column="emergency_exit" property="emergencyExit" />
        <result column="evacuation_route" property="evacuationRoute" />
        <result column="indoor_hydrant_startup" property="indoorHydrantStartup" />
        <result column="indoor_hydrant_install" property="indoorHydrantInstall" />
        <result column="smoke_control_startup" property="smokeControlStartup" />
        <result column="smoke_control_install" property="smokeControlInstall" />
        <result column="auto_fire_extinguish_startup" property="autoFireExtinguishStartup" />
        <result column="auto_fire_extinguish_install" property="autoFireExtinguishInstall" />
        <result column="auto_alarm_startup" property="autoAlarmStartup" />
        <result column="auto_alarm_install" property="autoAlarmInstall" />
        <result column="build_name" property="buildName" />
        <result column="fire_rating_name" property="fireRatingName" />
        <result column="build_type_name" property="buildTypeName" />
        <result column="use_character_name" property="useCharacterName" />
        <result column="world_heritage" property="worldHeritage" />
        <result column="economic_type_name" property="economicTypeName" />
        <result column="industry_category_name" property="industryCategoryName" />
        <result column="hierarchical_manage_type" property="hierarchicalManageType" />
        <result column="area_type" property="areaType" />
        <result column="fire_brigade_name" property="fireBrigadeName" />
        <result column="mobilization_name" property="mobilizationName" />
        <result column="bdp_audit" property="bdpAudit" />
        <result column="union_key" property="unionKey" />
        <result column="creator" property="creator" />
        <result column="create_time" property="createTime" />
        <result column="update_person" property="updatePerson" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
